import { HTMLAttributes } from 'react';
export type DividerProps = {
    /** Whether there should be a diamond icon on each end of the divider. Defaults to `false`. */
    diamonds?: boolean;
    /** Whether the divider should slightly extend past the width of its container. Defaults to `false`. */
    offset?: boolean;
} & Omit<HTMLAttributes<HTMLHRElement>, 'children'>;
/**
 * `Divider` v1.0
 *
 * Horizontal line for dividing content, optionally with `diamonds` on the left and on the right.
 */
export declare const Divider: ({ diamonds, offset, className, ...props }: DividerProps) => import("theme-ui/jsx-runtime").JSX.Element;
