import { ComponentPropsWithoutRef } from 'react';
export interface NanoscopicProgressProps extends ComponentPropsWithoutRef<'div'> {
    /** number indicating the animation duration in ms. Defaults to 200. */
    animationDuration?: number;
    /** time between progress bar increments in ms. Defaults to 800. */
    incrementDuration?: number;
    /** minimal waiting time to show the progress bar in ms. Defaults to 1000. */
    delay?: number;
    /** `true` when the progress bar is moving, `false` when the wait is finished */
    isAnimating?: boolean;
    /** number between 0 and 1 indicating the minimum value of the progress bar. Defaults to 0.08. */
    minimum?: number;
}
/**
 * Nanoscopic progress bar to indicate loading while still showing stale data.
 * @see https://www.figma.com/file/dZvmMJGBuyo1jxX0mJlrb7/GDS---NEW?node-id=2001%3A12116
 * @see https://www.figma.com/file/dZvmMJGBuyo1jxX0mJlrb7/GDS---NEW?node-id=21660%3A135704
 */
export declare function NanoscopicProgress({ animationDuration, incrementDuration, isAnimating, minimum, delay, ...rest }: NanoscopicProgressProps): import("theme-ui/jsx-runtime").JSX.Element;
