import type * as css from 'csstype';
import { ComponentPropsWithoutRef } from 'react';
import { StylePropertyValue, Theme } from 'theme-ui';
import { BorderRadius, FontSize, Spacing } from '../../tokens';
/** @internal */
export declare const GRADIENT_SIZE = 4000;
/** @internal */
export declare const ANIMATION_DURATION_MS = 7000;
export interface SkeletonProps extends Omit<ComponentPropsWithoutRef<'div'>, 'children'> {
    borderRadius?: keyof typeof BorderRadius;
    width?: StylePropertyValue<css.Property.Width>;
    height: keyof typeof Spacing | keyof typeof FontSize | (string & {});
}
export declare const Skeleton: ({ borderRadius, width, height, ...rest }: SkeletonProps) => import("theme-ui/jsx-runtime").JSX.Element;
/** @internal */
declare function skeletonBackgroundGradient(theme: Theme): string;
export { skeletonBackgroundGradient as _skeletonBackgroundGradient };
