export declare function useSearchParamState<T extends string | undefined | null>(key: string, parse: (
/**
 * `router.query[key]` is `undefined` when not set, but
 * `URLSearchParams.get(key)` returns `null`, so for the purpose of this hook,
 * `null` and `undefined` are the same.
 */
value: string | string[] | undefined | null) => T, method?: 'push' | 'replace', initialState?: T): {
    value: T;
    set: (newValue: T) => void;
};
