import { PropsWithChildren } from 'react';
import { I18nContextData } from './I18nContext';
import { Locale } from './types';
export type I18nProviderProps = PropsWithChildren<Omit<Partial<I18nContextData>, 'locale'> & {
    locale: Locale | null;
}>;
/**
 * Provides a context that is necessary for all `@edgeandnode/components` that contain text that might be
 * translated in other languages, as well as components that get/set the current locale.
 * Should be placed near the root of the app.
 */
export declare const I18nProvider: ({ supportedLocales, translations, locale, setLocale, pathWithoutLocale, children, }: I18nProviderProps) => import("theme-ui/jsx-runtime").JSX.Element;
