import NextLinkType from 'next/link';
import { ReactNode } from 'react';
type Variant = 'success' | 'info' | 'warning' | 'error';
export type MessageBoxProps = {
    title: ReactNode;
    description?: ReactNode;
    displayIcon?: boolean;
    className?: string;
    variant?: Variant;
    SecondaryCTA?: ReactNode;
    PrimaryCTA?: ReactNode;
    sxPassthrough?: any;
};
export type MessageBoxCTAProps = {
    children: ReactNode;
    href?: string;
    target?: string;
    /** @deprecated The component now automatically renders a `a` instead of a `button` if a `href` is provided. */
    as?: string;
    /** @deprecated */
    NextLink?: typeof NextLinkType;
    onClick?: () => void;
    disabled?: boolean;
};
export declare const MessageBoxSecondaryCTA: ({ href, target, disabled, onClick, children }: MessageBoxCTAProps) => import("theme-ui/jsx-runtime").JSX.Element;
export declare const MessageBoxPrimaryCTA: ({ children, href, target, onClick, disabled }: MessageBoxCTAProps) => import("theme-ui/jsx-runtime").JSX.Element;
export declare const MessageBox: ({ title, description, displayIcon, variant, SecondaryCTA, PrimaryCTA, sxPassthrough, ...props }: MessageBoxProps) => import("theme-ui/jsx-runtime").JSX.Element;
export {};
