import { ReactNode } from 'react';
import { ThemeUICSSObject } from 'theme-ui';
export type ModalProps = {
    open?: boolean;
    title?: ReactNode;
    description?: ReactNode;
    trigger?: ReactNode;
    children: ReactNode;
    height?: number | string;
    width?: number | string;
    padding?: string;
    hideClose?: boolean;
    hideCloseOnLoading?: boolean;
    className?: string;
    onClose?: () => void;
    onCancel?: () => void;
    actionButton?: {
        text: ReactNode;
        variant?: 'primary' | 'secondary' | 'tertiary';
        status?: 'loading' | 'error' | 'success';
        action: () => void;
        disabled?: boolean;
    };
    closeButtonText?: string;
};
export declare const modalOverlayStyles: ThemeUICSSObject;
export declare const Modal: ({ open, closeButtonText, trigger, children, title, description, height, width, padding, hideClose, actionButton, hideCloseOnLoading, className, onClose, onCancel, }: ModalProps) => import("theme-ui/jsx-runtime").JSX.Element;
