import { HTMLAttributes } from 'react';
import { Size, Variant } from './common';
export type NewGDSButtonGroupProps = {
    /** Variant of the buttons in the group. One of `primary`, `secondary`, or `tertiary`. Defaults to `primary`. */
    variant?: Variant;
    /** Size of the buttons in the group. One of `small` or `medium`. Defaults to `medium`. */
    size?: Size;
    /** Whether the buttons in the group should be disabled. */
    disabled?: boolean;
} & HTMLAttributes<HTMLDivElement>;
/**
 * Group of buttons. Children should be `NewGDSButton` components.
 *
 * Variants: `NewGDSButton.Group.Primary`, `NewGDSButton.Group.Secondary`, `NewGDSButton.Group.Tertiary`.
 */
export declare const NewGDSButtonGroup: import("react").ForwardRefExoticComponent<{
    /** Variant of the buttons in the group. One of `primary`, `secondary`, or `tertiary`. Defaults to `primary`. */
    variant?: Variant | undefined;
    /** Size of the buttons in the group. One of `small` or `medium`. Defaults to `medium`. */
    size?: Size | undefined;
    /** Whether the buttons in the group should be disabled. */
    disabled?: boolean | undefined;
} & HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>> & {
    /** Shorthand for `<NewGDSButton.Group variant="primary" />`. */
    Primary: (props: Omit<NewGDSButtonGroupProps, 'variant'>) => import("theme-ui/jsx-runtime").JSX.Element;
    /** Shorthand for `<NewGDSButton.Group variant="secondary" />`. */
    Secondary: (props: Omit<NewGDSButtonGroupProps, 'variant'>) => import("theme-ui/jsx-runtime").JSX.Element;
    /** Shorthand for `<NewGDSButton.Group variant="tertiary" />`. */
    Tertiary: (props: Omit<NewGDSButtonGroupProps, 'variant'>) => import("theme-ui/jsx-runtime").JSX.Element;
};
