/// <reference types="react" />
import { SelectValue } from './types';
export type NewGDSDropdownContextData = {
    type: 'menu' | 'select';
    value: SelectValue;
    onValueChange: ((value: SelectValue) => void) | null;
    selectedValue: SelectValue;
    setSelectedValue: (value: SelectValue) => void;
};
export declare const NewGDSDropdownContextDataDefaults: NewGDSDropdownContextData;
export type NewGDSDropdownContextProps<T extends SelectValue> = {
    /** Type of dropdown. `menu` if the items are actions, `select` if the items are options of which one can be selected. */
    type: 'menu';
} | {
    /** Type of dropdown. `menu` if the items are actions, `select` if the items are options of which one can be selected. */
    type: 'select';
    /** Selected item's value. */
    value?: T;
    /** Function that gets called when the selected item's value changes. */
    onValueChange?: (value: T) => void;
};
export declare const NewGDSDropdownContext: import("react").Context<NewGDSDropdownContextData>;
