import { InputHTMLAttributes, ReactNode, TextareaHTMLAttributes } from 'react';
export type NewGDSInputProps = {
    label?: string;
    step?: string;
    width?: number | string;
    trailingAdornment?: ReactNode;
    special?: boolean;
    focus?: boolean;
    message?: ReactNode;
    warning?: ReactNode;
    error?: ReactNode;
    border?: boolean;
    addOn?: ReactNode;
    variant?: 'singleline' | 'multiline';
    size?: 'default' | 'large';
} & Omit<InputHTMLAttributes<HTMLInputElement>, 'size'> & TextareaHTMLAttributes<HTMLTextAreaElement>;
export declare const DefaultAdornment: ({ button, unit, }: {
    button?: {
        text: string;
        onClick?: ((e: React.BaseSyntheticEvent) => void) | undefined;
        disabled?: boolean | undefined;
    } | undefined;
    unit?: ReactNode;
}) => import("theme-ui/jsx-runtime").JSX.Element;
export declare const BaseInput: import("react").ForwardRefExoticComponent<{
    label?: string | undefined;
    step?: string | undefined;
    width?: string | number | undefined;
    trailingAdornment?: ReactNode;
    special?: boolean | undefined;
    focus?: boolean | undefined;
    message?: ReactNode;
    warning?: ReactNode;
    error?: ReactNode;
    border?: boolean | undefined;
    addOn?: ReactNode;
    variant?: "multiline" | "singleline" | undefined;
    size?: "default" | "large" | undefined;
} & Omit<InputHTMLAttributes<HTMLInputElement>, "size"> & TextareaHTMLAttributes<HTMLTextAreaElement> & import("react").RefAttributes<HTMLInputElement | HTMLTextAreaElement>>;
export declare const NewGDSInput: import("react").ForwardRefExoticComponent<{
    label?: string | undefined;
    step?: string | undefined;
    width?: string | number | undefined;
    trailingAdornment?: ReactNode;
    special?: boolean | undefined;
    focus?: boolean | undefined;
    message?: ReactNode;
    warning?: ReactNode;
    error?: ReactNode;
    border?: boolean | undefined;
    addOn?: ReactNode;
    variant?: "multiline" | "singleline" | undefined;
    size?: "default" | "large" | undefined;
} & Omit<InputHTMLAttributes<HTMLInputElement>, "size"> & TextareaHTMLAttributes<HTMLTextAreaElement> & import("react").RefAttributes<HTMLInputElement | HTMLTextAreaElement>> & {
    SingleLine: import("react").ForwardRefExoticComponent<Omit<NewGDSInputProps, "variant"> & import("react").RefAttributes<HTMLInputElement>>;
    MultiLine: import("react").ForwardRefExoticComponent<Omit<NewGDSInputProps, "variant"> & import("react").RefAttributes<HTMLTextAreaElement>>;
};
