import { BigNumberish } from 'ethers';
import { ReactNode } from 'react';
import type { SubgraphCardOwner } from './types';
export type SubgraphCardProps = {
    /** The Subgraph logo image URL */
    image: string;
    /** The Subgraph display name */
    displayName: ReactNode;
    onClick?: () => void;
    status?: string[];
    /** The total signal, in GRT, on the Subgraph */
    totalGRT?: BigNumberish;
    width?: number;
    height?: number;
    /**
     * The name of the Subgraph owner (ENS name for example)
     * @deprecated use `ownerAccount`
     */
    name?: string;
    /**
     * The Subgraph owner image. If null, an identicon is rendered
     * @deprecated use `ownerAccount`
     */
    accountImage?: string;
    /**
     * The Subgraph owner eth wallet address/id
     * @deprecated use `ownerAccount`
     */
    owner?: string;
    /** The Subgraph owner account details */
    ownerAccount?: SubgraphCardOwner;
    overlayColor?: string;
};
export declare const SubgraphCard: ({ overlayColor, name, image, displayName, totalGRT, onClick, status, height, width, accountImage, owner, ownerAccount, ...props }: SubgraphCardProps) => import("theme-ui/jsx-runtime").JSX.Element;
