import { BigNumberish } from 'ethers';
import type { SubgraphRowOwner } from './types';
export type SubgraphRowProps = {
    width?: string | number;
    /** The Subgraph display name */
    displayName: string;
    /** The Subgraph logo */
    image: string;
    /**
     * The name of the Subgraph owner (ENS name for example)
     * @deprecated use `ownerAccount`
     */
    name?: string;
    /**
     * The Subgraph owner image. If null, an identicon is rendered
     * @deprecated use `ownerAccount`
     */
    accountImage?: string;
    /**
     * The Subgraph owner eth wallet address/id
     * @deprecated use `ownerAccount`
     */
    owner?: string;
    /** The Subgraph owner account details */
    ownerAccount?: SubgraphRowOwner;
    /** The Subgraph description */
    description?: string;
    /** When the Subgraph was last updated as a timestamp string. */
    updatedAt?: string;
    /** The Subgraph status. ex: Published */
    status?: string;
    /** The total subgraph signal (curation) */
    curation?: BigNumberish;
    /** The total amount staked tokens on the Subgraph selected/current version deployment */
    stake?: BigNumberish;
    /** The total amount of generated query fees on the Subgraph selected/current version deployment */
    queryFees?: BigNumberish;
};
export declare const SubgraphRow: ({ displayName, image, description, updatedAt, status, width, curation, stake, queryFees, accountImage, name, owner, ownerAccount, }: SubgraphRowProps) => import("theme-ui/jsx-runtime").JSX.Element;
