import * as ToastPrimitive from '@radix-ui/react-toast';
import { ReactNode } from 'react';
import { MessageSeverity } from '../../types/MessageSeverity';
export type ToastSeverity = MessageSeverity;
export type ToastProps = {
    open: boolean;
    severity: ToastSeverity;
    title: ReactNode;
    description?: ReactNode;
    onClose?: () => void;
    action?: ToastPrimitive.ToastActionProps;
    /**
     * @default 5000
     * Overrides the default duration given to ToastProvider.
     */
    duration?: number;
};
export declare function Toast({ open, severity, title, description, onClose, action, duration }: ToastProps): import("theme-ui/jsx-runtime").JSX.Element;
export interface ToastProviderProps extends ToastPrimitive.ToastProviderProps {
    /**
     * @default "left"
     */
    swipeDirection?: ToastPrimitive.SwipeDirection;
    /**
     * @default 5000
     */
    duration?: number;
}
export declare function ToastProvider({ swipeDirection, duration, ...rest }: ToastProviderProps): import("theme-ui/jsx-runtime").JSX.Element;
export type ToastViewportProps = ToastPrimitive.ToastViewportProps;
export declare function ToastViewport(props: ToastViewportProps): import("theme-ui/jsx-runtime").JSX.Element;
