import * as RadixTooltip from '@radix-ui/react-tooltip';
import { ReactNode } from 'react';
export interface TooltipContentBaseProps extends Omit<RadixTooltip.TooltipContentProps, 'title'> {
    arrow?: boolean;
}
export interface TooltipContentSimpleProps extends TooltipContentBaseProps {
    title?: ReactNode;
    /**
     * @default "multiline"
     */
    type?: 'multiline' | 'kpi';
    text: ReactNode;
    children?: undefined;
}
export interface TooltipContentChildrenProps extends TooltipContentBaseProps {
    /** Escape hatch to customize the entire content. */
    children: ReactNode;
}
export type TooltipContentProps = TooltipContentSimpleProps | TooltipContentChildrenProps;
export declare const TooltipContent: import("react").ForwardRefExoticComponent<TooltipContentProps & import("react").RefAttributes<HTMLDivElement>>;
