import { BigNumber, Contract } from 'ethers';
export interface ApprovalPermit {
    permit: string;
    deadline: number;
    r: string;
    s: string;
    v: number;
}
/**
 * Sign approval permit for token contract
 * @param options.spenderContractAddress Address of contract to grant approval to
 * @param options.approvalContract Token contract to allow spending, constructed with user's Signer
 * @param options.amount Amount of GRT to permit in Ether
 */
export declare const signApprovalPermit: (options: ApprovalPermitOptions) => Promise<ApprovalPermit>;
interface ApprovalPermitOptions {
    amount: BigNumber;
    approvalContract: Contract;
    spenderContractAddress: string;
    permitApprovalChain: number;
    domainSalt: string;
}
export {};
