import { TooltipProps as RechartsTooltipProps } from 'recharts';
import { NameType, ValueType } from 'recharts/types/component/DefaultTooltipContent';
import type { AxisDomain as RechartsAxisDomain } from 'recharts/types/util/types';
import { ChartBase } from './ChartBase';
export declare namespace Chart {
    type AxisDomain = RechartsAxisDomain;
    type TooltipProps<TValue extends ValueType, TName extends NameType> = RechartsTooltipProps<TValue, TName>;
}
/**
 * Variants: `Chart.Area`, `Chart.Bar`
 */
export declare const Chart: typeof ChartBase & {
    /** Shorthand for `<Chart variant="area" />`. */
    Area: (props: Omit<import("./common").ChartProps<any>, "variant">) => import("theme-ui/jsx-runtime").JSX.Element;
    /** Shorthand for `<Chart variant="bar" />`. */
    Bar: (props: Omit<import("./common").ChartProps<any>, "variant">) => import("theme-ui/jsx-runtime").JSX.Element;
};
