import { ReactNode } from 'react';
export type FooterProps = {
    /** Whether to render The Graph's logo at the top of the footer. */
    renderLogo?: boolean;
    /** Whether to render the "Subscribe to our newsletter" form at the top of the footer. */
    renderNewsletterForm?: boolean;
    /** Optional `LocaleSwitcher` component to render next to the social icon links. */
    localeSwitcher?: ReactNode;
};
/**
 * Main `Footer` component. The following variant is available: `Footer.Marketing`.
 */
export declare const Footer: (({ renderLogo, renderNewsletterForm, localeSwitcher }: FooterProps) => import("theme-ui/jsx-runtime").JSX.Element) & {
    /** Shorthand for `<Footer renderNewsletterForm={true} />`. */
    Marketing: (props: FooterProps) => import("theme-ui/jsx-runtime").JSX.Element;
};
/** @deprecated Use `Footer.Marketing`. */
export declare const FooterMarketing: (props: FooterProps) => import("theme-ui/jsx-runtime").JSX.Element;
