import { ComponentPropsWithoutRef } from 'react';
export interface LoadMoreSectionProps extends ComponentPropsWithoutRef<'div'> {
    shownCount: number;
    total: number;
    onLoadMoreClick: () => void;
}
/**
 * This component is a reusable building block that's not part of GDS, but we
 * need it to stay consistent between the apps. Ideally, use Pagination instead.
 */
export declare function LoadMoreSection({ shownCount, total, onLoadMoreClick, ...rest }: LoadMoreSectionProps): import("theme-ui/jsx-runtime").JSX.Element;
