import { CSSProperties, FocusEventHandler, PointerEventHandler } from 'react';
import { ColumnInfo, SortDescriptor } from '../types';
import { PinnedColumnsState } from './usePinnedColumnsState';
export interface TableColumnHeaderCellProps<TRow extends object, TColumnKey extends string | number> {
    className?: string;
    style?: CSSProperties;
    pinnedColumns: PinnedColumnsState<ColumnInfo<TRow, TColumnKey>>;
    column: ColumnInfo<TRow, TColumnKey>;
    'aria-colindex': number;
    sortDescriptor?: SortDescriptor<TColumnKey>;
    onSortChange?: (descriptor: SortDescriptor<TColumnKey>) => void;
    tabIndex: number;
    onFocus: FocusEventHandler<HTMLDivElement>;
    onBlur: FocusEventHandler<HTMLDivElement>;
    onPointerDown: PointerEventHandler<HTMLDivElement>;
    pinningDisabled?: boolean;
}
export declare function TableColumnHeaderCell<TRow extends object, TColumnKey extends string | number>({ pinnedColumns, className, style, column, 'aria-colindex': ariaColIndex, sortDescriptor, onSortChange, tabIndex, onFocus, onBlur, onPointerDown, pinningDisabled, }: TableColumnHeaderCellProps<TRow, TColumnKey>): import("theme-ui/jsx-runtime").JSX.Element;
