import { BaseSyntheticEvent } from 'react';
import { JSX } from 'theme-ui/jsx-runtime';
export type GraphqlTableColumnProps = {
    id: string;
    value: string;
    label: string;
    dataKey?: string;
    toolTip?: string;
    toolTipWidth?: number;
    pinnedRight?: boolean;
    infoIcon?: boolean;
    width?: number;
    /** component used to render cells in column
     *  for simple display cell use Default Cell */
    cellRenderer?: (item: any, style?: any) => JSX.Element;
    /** used to handle column grouping */
    children?: GraphqlTableColumnProps[];
    classNames?: string;
    style?: object;
};
export type GraphqlTableProps = {
    columns: GraphqlTableColumnProps[];
    data?: Array<any>;
    handleSort: (dataKey: string) => void;
    orderBy: string;
    orderDirection: 'asc' | 'desc';
    showExpand?: boolean;
    loading?: boolean;
    onRowClick?: (e: BaseSyntheticEvent, item: any) => void;
    defaultCellWidth?: number;
    noResults?: boolean;
    loadMore?: (currentAmount: number) => void;
    totalCount?: number;
    hideCellBorders?: boolean;
};
/**
 * @deprecated Use `NewGDSTable` instead.
 */
export declare const GraphqlTable: import("react").MemoExoticComponent<({ handleSort, orderBy, orderDirection, data, loading, columns, onRowClick, showExpand, defaultCellWidth, loadMore, noResults, totalCount, hideCellBorders, }: GraphqlTableProps) => JSX.Element>;
