/// <reference types="react" />
import { ColorMode } from '../tokens';
/**
 * React hook that returns the current Theme UI `theme` and other useful properties/functions such as `colorMode`, `setColorMode`, and `toggleColorMode`.
 * Unlike Theme UI's `useThemeUI`, this hook guarantees that the returned color mode is a supported value.
 */
export declare const useTheme: () => {
    theme: import("theme-ui").Theme;
    colorMode: ColorMode;
    setColorMode: ((colorMode: import("react").SetStateAction<string | undefined>) => void) | undefined;
    toggleColorMode: (() => void) | undefined;
};
