import { ResponsiveStyleValue, Theme, ThemeUICSSObject } from 'theme-ui';
/**
 * Returns whether the passed theme is the legacy theme (by checking the number of breakpoints it has).
 */
export declare const isLegacyTheme: (theme: Theme) => boolean;
/**
 * Helper function for use in Theme UI's `sx` prop around responsive values (e.g. `fontSize: responsive(['12px', '14px', '16px'])`).
 * This ensures compatibility with both the new and legacy themes.
 *
 * TODO: Ideally we would do this "automatically" at the Theme UI level, so consumers don't have to use this function.
 *       Ask Piotr about it. :)
 * TODO: Delete this function when all apps have `useLegacyTheme` = `false`.
 */
export declare const responsive: <T extends ResponsiveStyleValue<string | number> | ((theme: Theme) => ResponsiveStyleValue<string | number>)>(values: T) => T extends ResponsiveStyleValue<string | number> ? (theme: Theme) => T : T;
export type VariantsStyles<Keys extends string = string> = Record<Keys, ThemeUICSSObject>;
export declare const variantStyles: <TKeys extends string>(obj: VariantsStyles<TKeys>) => VariantsStyles<TKeys>;
export declare function isNotEmpty<T>(value: T | null | undefined | false): value is T;
