export declare const table: {
    Indexer: string;
    Subgraphs: string;
    'Query Fee Cut': string;
    'Rewards Cut': string;
    'Cooldown Remaining': string;
    Owned: string;
    Delegated: string;
    Allocated: string;
    'Max Capacity': string;
    Available: string;
    'Query Fees': string;
    'Indexer Rewards': string;
    'Effective Reward Cut': string;
    'Effective Query Fee Cut': string;
    'Indexing Reward Cut': string;
};
export declare const allocationsTable: {
    Allocated: string;
    Started: string;
    Closed: string;
    'Created in Epoch': string;
    'Active State Duration': string;
    'Indexer Rewards': string;
    'Delegator Rewards': string;
    'Query Fees Collected': string;
    'Query Fees Rebates': string;
    Indexer: string;
    Subgraphs: string;
    'Query Fee Cut': string;
    'Rewards Cut': string;
    'Cooldown Remaining': string;
    Owned: string;
    Delegated: string;
    'Max Capacity': string;
    Available: string;
    'Query Fees': string;
    'Effective Reward Cut': string;
    'Effective Query Fee Cut': string;
    'Indexing Reward Cut': string;
};
export declare const tooltips: {
    'indexers-table': {
        Indexer: string;
        Subgraphs: string;
        'Query Fee Cut': string;
        'Rewards Cut': string;
        'Cooldown Remaining': string;
        Owned: string;
        Delegated: string;
        Allocated: string;
        'Max Capacity': string;
        Available: string;
        'Query Fees': string;
        'Indexer Rewards': string;
        'Effective Reward Cut': string;
        'Effective Query Fee Cut': string;
        'Indexing Reward Cut': string;
    };
    'personal-delegating-table': {
        'Subgraphs Indexing': string;
        Original: string;
        'Unrealized Rewards': string;
        Total: string;
        Indexer: string;
        Subgraphs: string;
        'Query Fee Cut': string;
        'Rewards Cut': string;
        'Cooldown Remaining': string;
        Owned: string;
        Delegated: string;
        Allocated: string;
        'Max Capacity': string;
        Available: string;
        'Query Fees': string;
        'Indexer Rewards': string;
        'Effective Reward Cut': string;
        'Effective Query Fee Cut': string;
        'Indexing Reward Cut': string;
    };
    'subgraph-indexers-table': {
        'Allocated Stake': string;
        Indexer: string;
        Subgraphs: string;
        'Query Fee Cut': string;
        'Rewards Cut': string;
        'Cooldown Remaining': string;
        Owned: string;
        Delegated: string;
        Allocated: string;
        'Max Capacity': string;
        Available: string;
        'Query Fees': string;
        'Indexer Rewards': string;
        'Effective Reward Cut': string;
        'Effective Query Fee Cut': string;
        'Indexing Reward Cut': string;
    };
    'delegating-table': {
        'Subgraphs Indexing': string;
        Original: string;
        'Unrealized Rewards': string;
        Total: string;
        'Last Delegated At': string;
        Delegator: string;
        'Indexers Delegating': string;
        'Realized Rewards': string;
        Indexer: string;
        Subgraphs: string;
        'Query Fee Cut': string;
        'Rewards Cut': string;
        'Cooldown Remaining': string;
        Owned: string;
        Delegated: string;
        Allocated: string;
        'Max Capacity': string;
        Available: string;
        'Query Fees': string;
        'Indexer Rewards': string;
        'Effective Reward Cut': string;
        'Effective Query Fee Cut': string;
        'Indexing Reward Cut': string;
    };
    'curators-table': {
        signaled: string;
        shares: string;
        Indexer: string;
        Subgraphs: string;
        'Query Fee Cut': string;
        'Rewards Cut': string;
        'Cooldown Remaining': string;
        Owned: string;
        Delegated: string;
        Allocated: string;
        'Max Capacity': string;
        Available: string;
        'Query Fees': string;
        'Indexer Rewards': string;
        'Effective Reward Cut': string;
        'Effective Query Fee Cut': string;
        'Indexing Reward Cut': string;
    };
    'allocations-table': {
        Allocated: string;
        Started: string;
        Closed: string;
        'Created in Epoch': string;
        'Active State Duration': string;
        'Indexer Rewards': string;
        'Delegator Rewards': string;
        'Query Fees Collected': string;
        'Query Fees Rebates': string;
        Indexer: string;
        Subgraphs: string;
        'Query Fee Cut': string;
        'Rewards Cut': string;
        'Cooldown Remaining': string;
        Owned: string;
        Delegated: string;
        'Max Capacity': string;
        Available: string;
        'Query Fees': string;
        'Effective Reward Cut': string;
        'Effective Query Fee Cut': string;
        'Indexing Reward Cut': string;
    };
    delegation: {
        'unrealized-delegation-rewards-title': string;
        'total-delegation-rewards-title': string;
        'realized-delegation-rewards-title': string;
        'total-delegation-title': string;
        'original-delegation-title': string;
        'indexer-undelegating-title': string;
        'indexer-delegation-title': string;
        'indexer-withdrawable-title': string;
    };
    indexing: {
        'effective-indexing-reward-cut-title': string;
        'indexing-reward-cut-title': string;
        'query-fee-cut-title': string;
        'param-cooldown-title': string;
        'effective-indexing-reward-cut-empty': string;
    };
    profile: {
        wallet: string;
        'in-wallet': string;
        'in-protocol': string;
        'stake-delegating': string;
        'owned-stake': string;
        unstaked: string;
        curation: string;
        'fees-generated': string;
    };
    subgraph: {
        'allocated-stake-title': string;
        'query-fees-title': string;
        'signal-title': string;
    };
    staking: {
        'minimum-amount-stake': string;
        'minimum-amount-unstake': string;
        'thawing-period': string;
        'end-thawing-period': string;
        'thawing-time-left': string;
        unstake: string;
        stake: string;
        'wallet-balance': string;
    };
    curating: {
        signal: string;
        unsignal: string;
        'curation-tax': string;
        'price-impact': string;
        'slippage-tolerance': string;
        'price-per-share': string;
        'auto-migrate': string;
        advanced: string;
    };
};
export default tooltips;
