import { ChartDataKey } from '../organisms/Chart/common';
declare module 'dayjs' {
    interface Dayjs {
        fromNow(withoutSuffix?: boolean): string;
    }
}
export declare const CHART_TIMERANGE_OPTS: string[];
export declare const DEF_CHART_TIMERANGE = "all time";
export declare function sortChartData<T extends object>(a: T, b: T, key: ChartDataKey<T>): number;
/**
 * Return a unique set of dates from the input dates to build the chart x-axis ticks.
 * Limit the return based off the given input time range option (ex: all time).
 * If all time: return a limit of 7 dates from the input
 * If 1m: return every 4/5 days
 * If 1w: return every day of the week
 * @param inputDates the input xaxis dates parsed from the input data
 * @param timeRange the selected time range option
 * @param [limit = 7] the max number of ticks to return
 */
export declare const filterXAxisTicks: (inputDates: number[], timeRange: string, limit?: number) => number[];
export declare const formatChartDate: (unixTime: number) => string;
export declare function filterChartDataByTimeRange<T = any>(data: T[], timeRange: string, filterKey?: ChartDataKey<T>): T[];
